---
search:
  tags:
    - Operations
    - GET
seo:
  description: >-
    歳出の木の列の説明と、金額を足すときの条件（sum_rules）、検索の入力の例（search_exam… Reference for the GET
    /v1/expenditure/columns endpoint in the 風土記 API.
sidebar:
  label: 列の説明と金額の和の条件
  badge: GET
title: 列の説明と金額の和の条件
type: openapi-operation
---
歳出の木の列の説明と、金額を足すときの条件（sum_rules）、検索の入力の例（search_example）を返す。検索の前に一度読む。

`GET /v1/expenditure/columns`

**Responses**

- `200` — 成功
- `400` — 入力が不正
- `404` — 見つからない
- `503` — 提供を止めている

Response example, 200:

```json
{
  "document_kinds": [
    {
      "name": "string",
      "description": "string"
    }
  ],
  "where_columns": [
    "string"
  ],
  "order_by_columns": [
    "string"
  ],
  "required_input": "string",
  "search_example": {
    "document_kind": "settlement",
    "fiscal_year": {
      "min": 1,
      "max": 1
    },
    "where": {
      "node_id": {
        "eq": [
          "string"
        ],
        "not_eq": [
          "string"
        ],
        "prefix": "string",
        "suffix": "string",
        "contains": "string",
        "is_null": true
      },
      "parent_node_id": {
        "eq": [
          "string"
        ],
        "not_eq": [
          "string"
        ],
        "prefix": "string",
        "suffix": "string",
        "contains": "string",
        "is_null": true
      },
      "jurisdiction_code": {
        "eq": [
          "string"
        ],
        "not_eq": [
          "string"
        ],
        "prefix": "string",
        "suffix": "string",
        "contains": "string",
        "is_null": true
      },
      "account_name": {
        "eq": [
          "string"
        ],
        "not_eq": [
          "string"
        ],
        "prefix": "string",
        "suffix": "string",
        "contains": "string",
        "is_null": true
      },
      "axis": {
        "eq": [
          "string"
        ],
        "not_eq": [
          "string"
        ],
        "prefix": "string",
        "suffix": "string",
        "contains": "string",
        "is_null": true
      },
      "is_subject": {
        "eq": true
      },
      "node_kind": {
        "eq": [
          "string"
        ],
        "not_eq": [
          "string"
        ],
        "prefix": "string",
        "suffix": "string",
        "contains": "string",
        "is_null": true
      },
      "code": {
        "eq": [
          "string"
        ],
        "not_eq": [
          "string"
        ],
        "prefix": "string",
        "suffix": "string",
        "contains": "string",
        "is_null": true
      },
      "name": {
        "eq": [
          "string"
        ],
        "not_eq": [
          "string"
        ],
        "prefix": "string",
        "suffix": "string",
        "contains": "string",
        "is_null": true
      },
      "amount_yen": {
        "eq": [
          0
        ],
        "not_eq": [
          0
        ],
        "min": 0,
        "max": 0,
        "is_null": true
      },
      "is_leaf": {
        "eq": true
      },
      "kan_code": {
        "eq": [
          "string"
        ],
        "not_eq": [
          "string"
        ],
        "prefix": "string",
        "suffix": "string",
        "contains": "string",
        "is_null": true
      },
      "kou_code": {
        "eq": [
          "string"
        ],
        "not_eq": [
          "string"
        ],
        "prefix": "string",
        "suffix": "string",
        "contains": "string",
        "is_null": true
      },
      "moku_code": {
        "eq": [
          "string"
        ],
        "not_eq": [
          "string"
        ],
        "prefix": "string",
        "suffix": "string",
        "contains": "string",
        "is_null": true
      },
      "origin_id": {
        "eq": [
          "string"
        ],
        "not_eq": [
          "string"
        ],
        "prefix": "string",
        "suffix": "string",
        "contains": "string",
        "is_null": true
      },
      "source_page": {
        "eq": [
          0
        ],
        "not_eq": [
          0
        ],
        "min": 0,
        "max": 0,
        "is_null": true
      },
      "source_x0": {
        "min": 0,
        "max": 0,
        "is_null": true
      },
      "source_y0": {
        "min": 0,
        "max": 0,
        "is_null": true
      },
      "source_x1": {
        "min": 0,
        "max": 0,
        "is_null": true
      },
      "source_y1": {
        "min": 0,
        "max": 0,
        "is_null": true
      },
      "amount_source_page": {
        "eq": [
          0
        ],
        "not_eq": [
          0
        ],
        "min": 0,
        "max": 0,
        "is_null": true
      },
      "amount_source_x0": {
        "min": 0,
        "max": 0,
        "is_null": true
      },
      "amount_source_y0": {
        "min": 0,
        "max": 0,
        "is_null": true
      },
      "amount_source_x1": {
        "min": 0,
        "max": 0,
        "is_null": true
      },
      "amount_source_y1": {
        "min": 0,
        "max": 0,
        "is_null": true
      },
      "kan_name": {
        "eq": [
          "string"
        ],
        "not_eq": [
          "string"
        ],
        "prefix": "string",
        "suffix": "string",
        "contains": "string",
        "is_null": true
      },
      "kou_name": {
        "eq": [
          "string"
        ],
        "not_eq": [
          "string"
        ],
        "prefix": "string",
        "suffix": "string",
        "contains": "string",
        "is_null": true
      },
      "cofog_status": {
        "eq": [
          "string"
        ],
        "not_eq": [
          "string"
        ],
        "prefix": "string",
        "suffix": "string",
        "contains": "string",
        "is_null": true
      },
      "cofog_code": {
        "eq": [
          "string"
        ],
        "not_eq": [
          "string"
        ],
        "prefix": "string",
        "suffix": "string",
        "contains": "string",
        "is_null": true
      },
      "account_kind": {
        "eq": [
          "string"
        ],
        "not_eq": [
          "string"
        ],
        "prefix": "string",
        "suffix": "string",
        "contains": "string",
        "is_null": true
      },
      "is_interfund_transfer": {
        "eq": true
      },
      "interfund_transfer_to": {
        "eq": [
          "string"
        ],
        "not_eq": [
          "string"
        ],
        "prefix": "string",
        "suffix": "string",
        "contains": "string",
        "is_null": true
      },
      "expenditure_setsu_id": {
        "eq": [
          "string"
        ],
        "not_eq": [
          "string"
        ],
        "prefix": "string",
        "suffix": "string",
        "contains": "string",
        "is_null": true
      }
    },
    "order_by": [
      {
        "column": "node_id",
        "desc": true
      }
    ],
    "page_size": 100,
    "page_token": "string"
  },
  "where_conditions": {
    "property1": "string",
    "property2": "string"
  },
  "sum_rules": [
    "string"
  ],
  "columns": [
    {
      "name": "string",
      "type": "string",
      "description": {
        "property1": "string",
        "property2": "string"
      }
    }
  ],
  "origin_columns": [
    {
      "name": "string",
      "type": "string",
      "description": "string",
      "nullable": true
    }
  ]
}
```
